org.apache.torque.criteria

## Enum JoinType

- java.lang.Object
- - java.lang.Enum<JoinType>
  - - org.apache.torque.criteria.JoinType

- All Implemented Interfaces:
    Serializable, Comparable<JoinType>

      public enum JoinType
      extends Enum<JoinType>

  The possible explicit join types.
  Version:
    $Id: JoinType.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INNER_JOIN` SQL Expression " INNER JOIN ".
    `LEFT_JOIN` SQL Expression " LEFT JOIN ".
    `RIGHT_JOIN` SQL Expression " RIGHT JOIN ".

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Returns the SQL expression for the join type.
    `static JoinType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JoinType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT_JOIN

          public static final JoinType LEFT_JOIN

      SQL Expression " LEFT JOIN ".

    - #### RIGHT_JOIN

          public static final JoinType RIGHT_JOIN

      SQL Expression " RIGHT JOIN ".

    - #### INNER_JOIN

          public static final JoinType INNER_JOIN

      SQL Expression " INNER JOIN ".

  - ### Method Detail

    - #### values

          public static JoinType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JoinType c : JoinType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JoinType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Returns the SQL expression for the join type.
      Overrides:
        `toString` in class `Enum<JoinType>`
      Returns:
        the SQL expression, not null.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.